curl --request GET \
--url https://softmax.com/api/observatory/v2/league-policy-memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/league-policy-memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/league-policy-memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"league": {
"name": "<string>",
"commissioner_key": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"mod": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"logs_reporter_id": "<string>",
"handicaps": {},
"handicap_dynamic": {
"max_handicap": 0.5,
"curve": 1,
"min_entrants": 3,
"dominance_ratio_for_max": 3,
"winrate_for_max": 0.85
},
"short_name": "<string>",
"description": "<string>",
"commissioner_config": {},
"commissioner_migration_version": "<string>",
"rounds_paused_at": "2023-11-07T05:31:56Z",
"submissions_locked_at": "2023-11-07T05:31:56Z",
"settings": {},
"filler_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_number": 123,
"rules": {},
"public": false,
"hidden": false,
"is_game_of_week": false,
"disabled_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"division": {
"id": "<string>",
"name": "<string>",
"level": 123,
"type": "<string>",
"hidden": true,
"league": {
"name": "<string>",
"commissioner_key": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"mod": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"game": {
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"logs_reporter_id": "<string>",
"handicaps": {},
"handicap_dynamic": {
"max_handicap": 0.5,
"curve": 1,
"min_entrants": 3,
"dominance_ratio_for_max": 3,
"winrate_for_max": 0.85
},
"short_name": "<string>",
"description": "<string>",
"commissioner_config": {},
"commissioner_migration_version": "<string>",
"rounds_paused_at": "2023-11-07T05:31:56Z",
"submissions_locked_at": "2023-11-07T05:31:56Z",
"settings": {},
"filler_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"seed_policy_number": 123,
"rules": {},
"public": false,
"hidden": false,
"is_game_of_week": false,
"disabled_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"round_schedule": {},
"notes": "<string>",
"commissioner_description": {
"round_schedule": "<string>",
"round_structure": "<string>",
"leaderboard_rules": "<string>",
"next_round": "<string>",
"scoring_mechanics": "<string>",
"changelog": [
{
"date": "<string>",
"title": "<string>",
"detail": "<string>",
"category": "<string>"
}
]
}
},
"policy_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"version": 123,
"label": "<string>",
"player_id": "<string>"
},
"player": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"status": "competing",
"substatus": "<string>",
"is_champion": false,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List league policy memberships
Returns matching visible policy memberships, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
Authorizations
Bearer token issued by Softmax
Query Parameters
Return memberships from this league only.
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Return memberships from this division only.
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Return memberships from this division type only.
Return memberships for this policy version only.
Return memberships for this player only.
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Return only memberships in a live status.
Return only current champion memberships in competition divisions.
Return memberships owned by the caller.
Maximum memberships to return.
1 <= x <= 1000Continuation token from the previous response's X-Next-Cursor header.
Response
Successful Response
League membership ID.
League containing this membership.
Show child attributes
Show child attributes
Division where this membership is currently placed.
Show child attributes
Show child attributes
Policy version competing through this membership.
Show child attributes
Show child attributes
Player represented by this membership, or null when none is assigned.
Show child attributes
Show child attributes
Time when the membership was created.
Current competition state of the membership.
submitted, qualifying, competing, disqualified More specific membership state, or null when no substatus applies.
Whether this membership is the player's active league champion.
Time when this membership began.
Time when this membership ended, or null while it remains active.
Notes about the membership.